Public Member Functions
CNurbsCurveRefArray Class Reference

## Detailed Description

An array of NurbsCurve objects representing the curve in a curve list.

Warning:
  This specialized array is returned by NurbsCurveList::GetCurves, it is not meant to be created and modified in user-defined functions. If you want to add and remove arbitrary items to a collection, you must use a CRefArray instead.

See also:
  NurbsCurveList::GetCurves

Example:

            using namespace XSI;

            Application app;
            Model root = app.GetActiveSceneRoot();

            X3DObject myArc;
            root.AddGeometry( L"Arc", L"NurbsCurve", L"", myArc );

            NurbsCurveList curvelist( myArc.GetActivePrimitive().GetGeometry() );

            CNurbsCurveRefArray curves(curvelist.GetCurves());

`#include <xsi_nurbscurve.h>`

Inheritance diagram for CNurbsCurveRefArray:
[legend]

List of all members.

## Public Member Functions
| CNurbsCurveRefArray ()
| ~CNurbsCurveRefArray ()
| CNurbsCurveRefArray (const CNurbsCurveRefArray &in_array)
CRef | GetItem (LONG in_index) const
CRef | GetItem (const CString &in_name) const
LONG | GetCount () const
bool | IsValid () const
CLongArray | GetIndexArray () const
SubComponent | GetSubComponent () const
CNurbsCurveRefArray | Navigate (siNavigateComponentType in_siNavigate) const

## Constructor & Destructor Documentation

CNurbsCurveRefArray | ( |  | ) |

Default constructor.

~CNurbsCurveRefArray | ( |  | ) |

Default destructor.

CNurbsCurveRefArray | ( | const CNurbsCurveRefArray & | in_array | ) |

Copy constructor.

Parameters:

  in_array | constant CNurbsCurveRefArray reference object.

## Member Function Documentation

CRef GetItem | ( | LONG | in_index | ) | const `[virtual]`

Returns a NurbsCurve object at the specified index in the array.

Parameters:

  in_index | The index of the NurbsCurve.

Returns:
  A reference to a NurbsCurve object.

Reimplemented from CRefArray.

CRef GetItem | ( | const CString & | in_name | ) | const `[virtual]`

Returns the NurbsCurve object in the array matching the specified name.

Parameters:

  in_name | The name of the NurbsCurve.

Returns:
  A reference to a NurbsCurve object.

Reimplemented from CRefArray.

LONG GetCount | ( |  | ) | const `[virtual]`

Returns the number of NurbsSurface objects in the array.

Returns:
  The number of NurbsSurface objects.

Reimplemented from CRefArray.

bool IsValid | ( |  | ) | const `[virtual]`

Returns true if this array is a valid object or false otherwise.

Returns:
  true if valid, false otherwise.

Reimplemented from CRefArray.

CLongArray GetIndexArray | ( |  | ) | const

Returns an array of indices in the geometry NurbsCurve array

Returns:
  An array of indices.

SubComponent GetSubComponent | ( |  | ) | const

Creates a SubComponent object from this NurbsCurve array,

Returns:
  A SubComponent object

CNurbsCurveRefArray Navigate | ( | siNavigateComponentType | in_siNavigate | ) | const

Navigates the NurbsCurve objects of the underlying geometry as specifed by the navigation component type. The function returns an array of NurbsCurve objects corresponding to each Point object visited.

Parameters:

  in_siNavigate | Type of direction for navigating the NurbsCurve objects.

Returns:
  An array of Point objects.

The documentation for this class was generated from the following file:

- xsi_nurbscurve.h